| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfBgNGE911 Struct Reference
Business Group Features

Next Generation 911. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
unsp__Enabled * | Enabled
| Standard Enabled flag. More...
char * | NGE911AccessCode
| The Next Generation E911 Access code for the BG feature. More...
char * | LostServerName
| The Name of the Lost Server which we want to associate with this BG feature. More...
xsd__boolean * | SetRequestURIandToHeaderUrnServiceSos
| Option to set the Request URI and To header fields to urn:service:sos required: false default value[range]: false. More...
xsd__boolean * | IncludeGRUUParameter
| Option to include a GRUU parameter in the Contact Header field required: false default value[range]: false. More...

## Detailed Description

Next Generation 911.

With this feature we indicate if Next Generation 911 is enabled for the BG and binds it to a specific LoST server previously provisioned in Assistant > Administration
MP2 command: CFBgNGE911 [Attributes]

## Member Data Documentation

## ◆ Enabled

unsp__Enabled* unsp__CfBgNGE911::Enabled

Standard Enabled flag.

## ◆ IncludeGRUUParameter

xsd__boolean* unsp__CfBgNGE911::IncludeGRUUParameter

Option to include a GRUU parameter in the Contact Header field
required: false
default value[range]: false.

## ◆ LostServerName

char* unsp__CfBgNGE911::LostServerName

The Name of the Lost Server which we want to associate with this BG feature.

required: true
default value[range]: NA

## ◆ NGE911AccessCode

char* unsp__CfBgNGE911::NGE911AccessCode

The Next Generation E911 Access code for the BG feature.

The Access Code must have been already created as PAC leading to a destination code which leads to the SBC from which the NG911 shall be routed.
required: true
default value[range]: NA

## ◆ SetRequestURIandToHeaderUrnServiceSos

xsd__boolean* unsp__CfBgNGE911::SetRequestURIandToHeaderUrnServiceSos

Option to set the Request URI and To header fields to urn:service:sos
required: false
default value[range]: false.

## ◆ Subscribed

enum unsp__Subscribed unsp__CfBgNGE911::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h